import type { RollupOptions } from "rollup";
import typescript from "@rollup/plugin-typescript";

export function create(): RollupOptions {
	return {
		input: "src/index.ts",
		output: {
			file: "dist/main.js",
			format: "commonjs"
		},
		plugins: [typescript()]
	};
}

export default create();
